{% extends 'main/base.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "people/css/people.css" %}">
{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% load mptt_tags %}
{% block title %}Профиль{% endblock %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb 'Профиль' 'people:profile' %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <div class="row">
        <div class="col-lg-6">
          <div class="row">
            <div class="col">
              <img src="{% if  teacher.photo %}{{ teacher.photo.url }}{% else %}
                        https://mdbootstrap.com/img/Photos/Others/placeholder-avatar.jpg
                      {% endif %}" class="card-img" alt="...">
            </div>
            <div class="col">
              <h5>{{ teacher.last_name }} {{ teacher.first_name }} {{ teacher.middle_name }}</h5>
              <p>{{ teacher.position|default_if_none:'' }}<br>
                {{ teacher.degree|default_if_none:'' }}<br>
                {{ teacher.title|default_if_none:'' }}<br>
              </p>
              <p>{{ teacher.phone|default_if_none:'' }}</p>
              <p><a href="mailto:{{ teacher.email|default_if_none:'' }}">{{ teacher.email|default_if_none:'' }}</a></p>
              <a href="/admin/people/teacher/{{ teacher.id }}/change/"><i class="far fa-edit"></i></a>
            </div>
          </div>
          <br>
        </div>


        <div class="col">

          <div class="accordion" id="SubjectsAccordion">
            {% for subject in subjects %}
              <div class="card">
                <div class="card-header" id="heading-{{ subject.id }}">
                  <h2 class="mb-0">
                    <button class="btn btn-link" type="button" data-toggle="collapse"
                            data-target="#collapse-{{ subject.id }}"
                            aria-expanded="false" aria-controls="collapse-{{ subject.id }}">
                      {{ subject.name }}
                    </button>
                  </h2>
                </div>

                <div id="collapse-{{ subject.id }}" class="collapse" aria-labelledby="heading-{{ subject.id }}"
                     data-parent="#SubjectsAccordion">
                  <div class="card-body">
                    <p>{{ subject.get_grade_display }} {{ subject.speciality }}</p>
                    <label>Семестры:</label>
                    <ul style="list-style: none">
                      {% for semester in current_teacher_subject_semesters %}
                        {% if semester.subject == subject %}
                          <li><a
                              href="{% url 'people:semester' semester.id %}">{{ semester.subject }}</a>
                          </li>
                        {% endif %}
                      {% endfor %}
                      <li><a href="/admin/people/subjectsemester/add/" class="btn btn-link" role="button">Добавить
                        семестр</a></li>
                    </ul>
                  </div>
                </div>
              </div>
            {% endfor %}
            <br>
            Нагрузка:
            {% regroup rates by academic_year as year_rates %}
            <ul>
              {% for academic_year in year_rates %}
                <li>{{ academic_year.grouper }}</li>
                <ul>
                  {% for rate in academic_year.list %}
                    <li><a href="{% url 'people:rate_loads' rate.id %}" class="btn btn-link"
                           role="button">{{ rate.rate }}</a></li>

                  {% endfor %}
                </ul>
              {% endfor %}
            </ul>
          </div>
        </div>
      </div>
    </div>
  </section>
{% endblock %}
